
import aiohttp
import asyncio

async def fetch_random_user(session):
    async with session.get('https://randomuser.me/api/') as response:
        return await response.json()

async def main():
    async with aiohttp.ClientSession() as session:
        user_data = await fetch_random_user(session)
        print(user_data)

# The code above is an aiohttp-based function that fetches random user data from a public API.

